using com.hnshituo.core.webapp.vo;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Common
{
    public class MeterBaseUnitInfoService
    {
        public RESTfulResult<List<MeterBaseUnitInfo>> doQueryWf(MeterBaseUnitInfo info)
        {
            DbHelper db = new DbHelper();
            RESTfulResult<PageList<List<MeterBaseUnitInfo>>> rm = db.doOption<PageList<List<MeterBaseUnitInfo>>>("meterbaseunitinfos", "/", new object[] { info }, 0);

            RESTfulResult<List<MeterBaseUnitInfo>> result = new RESTfulResult<List<MeterBaseUnitInfo>>();
            result.Succeed = rm.Succeed;
            result.Status = rm.Status;
            result.Message = rm.Message;
            result.ResultMessage = rm.ResultMessage;
            result.Code = rm.Code;
            if (rm.Data != null && rm.Data.list != null && rm.Data.list.Count > 0)
            {
                result.Data = rm.Data.list;
            }
            return result;
        }
    }
}
